package dp.kotul.starter.messaging.model

abstract class BaseMessage : BaseMessageToString {
    abstract val correlationId: String
    abstract val user: UserInBaseMessage

    override fun toStringBase(): String {
        return "BaseMessage(correlationId=${correlationId}, user=${user}) of ${this.javaClass}"
    }
}
